%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Household energy consumption (HEC) in Beijing. This
% script aggregates the results.
%
% Programmer: Anders Arvesen
% Date started: 5 mars 2008
%
% Units: Expenditures:  yuan/cap
%        Energy:        GJ/cap
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; clc

e_urb = xlsread('Results.xls', 'Energy', 'C10:I96');
e_rur = xlsread('Results.xls', 'Energy', 'M10:R42');

P_urb = Convert_NaN(xlsread('Concordances.xls','SCE_disaggr_to_SCE_aggr(1)','C4:N90'));
P_rur = Convert_NaN(xlsread('Concordances.xls','SCE_disaggr_to_SCE_aggr(1)','C96:M128'));

e_urb_aggr = P_urb'*e_urb;
e_rur_aggr = P_rur'*e_rur;

xlswrite('Results.xls',e_urb_aggr(:,1:end-1),'Aggr(1)','C8:H19');
xlswrite('Results.xls',e_rur_aggr,'Aggr(1)','C32:H42');

xlswrite('Results.xls',e_urb_aggr(:,end),'Aggr(1)','C55:C66');

% Aggregate results from projections 2015
e_urb_proj1 = xlsread('Results.xls','Projections2015','D38:H124'); % Even distribution of growth
e_urb_proj2 = xlsread('Results.xls','Projections2015','N38:R124'); % Uneven distribution of growth
e_urb_proj_aggr1 = P_urb'*e_urb_proj1;
e_urb_proj_aggr2 = P_urb'*e_urb_proj2;

xlswrite('Results.xls',e_urb_proj_aggr1,'Projections2015','D140:H151');
xlswrite('Results.xls',e_urb_proj_aggr2,'Projections2015','N140:R151');