%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This function calculates indirect energy requirements.
%
% Programmer: Anders Arvesen
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function e_SCE = calculate(section_w, F02_IO, y_IO, n_inc, L02, P_SCEtoIO, P_IOtoSCE, cat_no_el, cat_no_el_IO)

% Energy use by IO category
e_IO = F02_IO*L02*diag(y_IO); % GJ/capita

% Energy use by SCE category
e_SCE = P_IOtoSCE*e_IO'; % GJ/capita

% Make adjustment: remove direct electricity use
e_IO_tier0 = F02_IO*diag(y_IO);

e_SCE_tier0 = P_IOtoSCE*e_IO_tier0';

e_SCE(cat_no_el) = e_SCE(cat_no_el)-P_SCEtoIO(cat_no_el, cat_no_el_IO)*e_SCE_tier0(cat_no_el);