%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% This function 'inverts' the concordances matrix. The 'inverted' matrix is
% used for allocating energy use to SCE categories (the initial results are
% allocated to IO categories).
%
% Programmer: Anders Arvesen
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function P_IOtoSCE = invert_conc(n_IO, n_SCE,y_SCE, P_SCEtoIO, y_IO)

P_IOtoSCE=zeros(n_SCE,n_IO);
for i=1:n_IO
    if y_IO(i,1)>1e-5
        for j=1:n_SCE
            P_IOtoSCE(j,i) = P_SCEtoIO(j,i)*y_SCE(j)/y_IO(i);
        end
    end
end

% Check
y_SCE_test = P_IOtoSCE*y_IO;
if any(any(abs(y_SCE_test-y_SCE)>1e-6))
    disp('Something is wrong')
end