%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Projectino: Beijing urban and rural household energy requirements
%
% Programmer: Anders Arvesen
% Date started: 2 April 2008
%
% Note: This is for making projections of urban HEC towards 2015
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; clc

n_SCE_urb=77;
n_direct=10;
n_inc_urb = 5;  % Number of socioeconomic groups

% Total expenditures for five income groups + very high
y_sum_baseyear_urb = Convert_NaN(xlsread('Expenditures.xls', 'Beijing_urban', 'D7:I7')); % Urban

% Energy 2005
e_urb05 = xlsread('Results.xls', 'Energy', 'D10:I96'); 

% Income growth
y_sum_future_urb1 = xlsread('Expenditures.xls', 'Projections_urb', 'K91:O91');
y_sum_future_urb2 = xlsread('Expenditures.xls', 'Projections_urb', 'K166:O166');

% Urban
e_urb15 = zeros(n_SCE_urb+n_direct,n_inc_urb);
for i=1:n_inc_urb
    e_urb15_1(:,i) = projection_fcn(y_sum_baseyear_urb, y_sum_future_urb1(i),n_SCE_urb,n_direct,n_inc_urb, e_urb05);
    e_urb15_2(:,i) = projection_fcn(y_sum_baseyear_urb, y_sum_future_urb2(i),n_SCE_urb,n_direct,n_inc_urb, e_urb05);
end

xlswrite('Results.xls',e_urb15_1,'Projections2015','D38:H124')
xlswrite('Results.xls',e_urb15_2,'Projections2015','N38:R124')