%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Beijing urban household energy requirements towards 2015
%
% This function calculates the HEC at a given expenditure level by
% interpolating in the data on the HEC of the low, medium-low, medium,
% medium-high, high and very-high income groups.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function e_i = projection_fcn(y_sum_baseyear,y_i,n_SCE,n_direct, n_inc, e_basis)

exit = 0;
n = 1;
e_i = zeros(n_SCE+n_direct,1);

while exit == 0;
    if y_i <= y_sum_baseyear(n+1)
        for i = 1:n_SCE+n_direct
            e_i(i) = interp1([y_sum_baseyear(n), y_sum_baseyear(n+1)],[e_basis(i,n), e_basis(i,n+1)], y_i);
        end
        exit = 1;
    else
        n = n+1;
    end
end

